<template>
  <v-container fluid>
    <h1>Vuex can do what it should do</h1>

    <my-table-wrapper :items="users"/>

  </v-container>
</template>

<script>
import { mapActions, mapGetters } from 'vuex'
import MyTableWrapper from '../components/myTableWrapper'

export default {
  name: 'NormalVuex',
  components: { MyTableWrapper },

  computed: {
    ...mapGetters('normalVuex', ['users'])
  },

  methods: {
    ...mapActions('normalVuex', ['pullUsers'])
  },

  async created () {
    await this.pullUsers()
  }
}
</script>
